geos::operation::buffer::PolygonBuilder Class Reference

Forms Polygon out of a graph of geomgraph::DirectedEdge. More...

`#include <PolygonBuilder.h>`

## Public Member Functions

| PolygonBuilder (const geom::GeometryFactory *newGeometryFactory)
void | add (geomgraph::PlanarGraph *graph)
void | add (const std::vector< geomgraph::DirectedEdge * > *dirEdges, const std::vector< geomgraph::Node * > *nodes)
std::vector< std::unique_ptr< geom::Geometry > > | getPolygons ()

## Detailed Description

Forms Polygon out of a graph of geomgraph::DirectedEdge.

The edges to use are marked as being in the result Area.

## Member Function Documentation

## add() [1/2]

void geos::operation::buffer::PolygonBuilder::add | ( | const std::vector< geomgraph::DirectedEdge * > * | dirEdges,
|  | const std::vector< geomgraph::Node * > * | nodes )

Add a set of edges and nodes, which form a graph. The graph is assumed to contain one or more polygons, possibly with holes.

## add() [2/2]

void geos::operation::buffer::PolygonBuilder::add | ( | geomgraph::PlanarGraph * | graph | ) |

Add a complete graph. The graph is assumed to contain one or more polygons, possibly with holes.

The documentation for this class was generated from the following file:

- buffer/PolygonBuilder.h